OpenStack Compute (Nova)

sql_min_pool_size and sql_max_pool_size do not make sence

Reported by Nikolay Sokolov on 2011-10-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
Brian Lamar

Bug Description

To prevent lp838581, added in nova.conf:

--sql_max_pool_size=1
--sql_min_pool_size=1

But after restarting compute i got this situation:

[root@gm ~]# ps ax | grep nova-compute
16095 ? Sl 0:01 /usr/bin/python /usr/bin/nova-compute --flagfile=/etc/nova/nova.conf --logfile=/var/log/nova/nova-compute.log --pidfile /var/run/nova/nova-compute.pid
17549 pts/19 S+ 0:00 grep nova-compute
[root@gm ~]# netstat -ptun | grep python | grep 3306 | grep 16095
tcp 0 0 128.107.79.136:39651 128.107.79.136:3306 ESTABLISHED 16095/python
tcp 0 0 128.107.79.136:39652 128.107.79.136:3306 ESTABLISHED 16095/python
[root@gm ~]# euca-run-instances ami-0000000d -n 7
RESERVATION r-ln4vjosr aproject default
INSTANCE i-00000076 ami-0000000d pending None (aproject, None) 6 m1.small 2011-10-11T13:43:06Z unknown zone aki-0000000b ari-0000000c
INSTANCE i-00000072 ami-0000000d pending None (aproject, None) 2 m1.small 2011-10-11T13:43:05Z unknown zone aki-0000000b ari-0000000c
INSTANCE i-00000073 ami-0000000d pending None (aproject, None) 3 m1.small 2011-10-11T13:43:05Z unknown zone aki-0000000b ari-0000000c
INSTANCE i-00000074 ami-0000000d pending None (aproject, None) 4 m1.small 2011-10-11T13:43:05Z unknown zone aki-0000000b ari-0000000c
INSTANCE i-00000075 ami-0000000d pending None (aproject, None) 5 m1.small 2011-10-11T13:43:05Z unknown zone aki-0000000b ari-0000000c
INSTANCE i-00000070 ami-0000000d pending None (aproject, None) 0 m1.small 2011-10-11T13:43:04Z unknown zone aki-0000000b ari-0000000c
INSTANCE i-00000071 ami-0000000d pending None (aproject, None) 1 m1.small 2011-10-11T13:43:04Z unknown zone aki-0000000b ari-0000000c
[root@gm ~]# netstat -ptun | grep python | grep 3306 | grep 16095
tcp 0 0 128.107.79.136:39728 128.107.79.136:3306 ESTABLISHED 16095/python
tcp 0 0 128.107.79.136:39727 128.107.79.136:3306 ESTABLISHED 16095/python
tcp 0 0 128.107.79.136:39709 128.107.79.136:3306 ESTABLISHED 16095/python
tcp 0 0 128.107.79.136:39736 128.107.79.136:3306 ESTABLISHED 16095/python
tcp 0 0 128.107.79.136:39711 128.107.79.136:3306 ESTABLISHED 16095/python
tcp 0 0 128.107.79.136:39651 128.107.79.136:3306 ESTABLISHED 16095/python
tcp 0 0 128.107.79.136:39652 128.107.79.136:3306 ESTABLISHED 16095/python
tcp 0 0 128.107.79.136:39710 128.107.79.136:3306 ESTABLISHED 16095/python

Nikolay Sokolov (chemikadze) wrote :

That is fixed with #838581

Thierry Carrez (ttx) wrote :

Assumed fixed based on previous comment.

Changed in nova:
status: New → Fix Committed
Thierry Carrez (ttx) on 2011-11-09
Changed in nova:
milestone: none → essex-1
Thierry Carrez (ttx) on 2011-11-17
Changed in nova:
status: Fix Committed → Fix Released
Mark McLoughlin (markmc) on 2012-04-03
Changed in nova:
assignee: nobody → Brian Lamar (blamar)
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers